Get issues
Get a list of issues. By default, only open issues are returned.
Filters on dates and other fields accept operators (e.g. >=2014-01-02T08:12:32Z, ><2012-03-01|2012-03-07, ~foo).
Custom fields marked as "used as a filter" can be filtered with cf_x (where x is the custom field ID).
ApiKeyAuthX-Redmine-API-Key<token>include?array<>Fetch associated data
issue_id?array<>Filter by issue ID or list of IDs
project_id?integerFilter by project ID (a numeric value, not a project identifier)
int64subproject_id?|Filter by subproject ID. Use !* together with project_id to exclude issues of subprojects.
tracker_id?integerFilter by tracker ID
int64status_id?|Filter by status ID
assigned_to_id?|Filter by assigned user ID
priority_id?integerFilter by priority ID
int64category_id?integerFilter by category ID
int64fixed_version_id?integerFilter by fixed version (target version) ID
int64parent_id?integerFilter by parent issue ID
int64subject?stringFilter by subject (e.g. ~foo for issues whose subject contains foo)
created_on?stringFilter by creation date (e.g. >=2012-03-01, ><2012-03-01|2012-03-07)
updated_on?stringFilter by updated date (e.g. >=2014-01-02T08:12:32Z)
closed_on?stringFilter by closed date (e.g. >=2014-01-02T08:12:32Z)
start_date?stringFilter by start date (e.g. >=2012-03-01)
due_date?stringFilter by due date (e.g. <=2012-03-07)
query_id?integerUse the filters of a saved query
int64sort?stringSort results by field. Append :desc to invert the order (e.g. id:desc). Use comma to sort by multiple fields.
offset?integerOffset of the first item
int640 <= value0limit?integerNumber of items per page
int641 <= value <= 100100The request has succeeded.
application/json- response
issues*array<>total_count*integerTotal number of items
int64offset*integerOffset of the first item
int64limit*integerLimit of items per page
int64curl -X GET 'https://redmine.example.com/issues.json'{ "issues": [ { "id": 0, "project": { "id": 0, "name": "string" }, "tracker": { "id": 0, "name": "string" }, "status": { "id": 0, "name": "string", "is_closed": true }, "priority": { "id": 0, "name": "string" }, "category": { "id": 0, "name": "string" }, "author": { "id": 0, "name": "string" }, "assigned_to": { "id": 0, "name": "string" }, "subject": "string", "description": "string", "done_ratio": 0, "fixed_version": { "id": 0, "name": "string" }, "parent": { "id": 0 }, "start_date": "2019-08-24", "due_date": "2019-08-24", "estimated_hours": 0.1, "spent_hours": 0.1, "total_estimated_hours": 0.1, "total_spent_hours": 0.1, "is_private": true, "custom_fields": [ { "id": 0, "name": "string", "multiple": true, "value": "string" } ], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "closed_on": "2019-08-24T14:15:22Z", "children": [ { "id": 0, "tracker": { "id": 0, "name": "string" }, "subject": "string", "children": [ {} ] } ], "attachments": [ { "id": 0, "filename": "string", "filesize": 0, "content_type": "string", "description": "string", "content_url": "http://example.com", "thumbnail_url": "http://example.com", "author": { "id": 0, "name": "string" }, "created_on": "2019-08-24T14:15:22Z" } ], "relations": [ { "id": 0, "issue_id": 0, "issue_to_id": 0, "relation_type": "relates", "delay": 0 } ], "changesets": [ { "revision": "string", "user": { "id": 0, "name": "string" }, "comments": "string", "committed_on": "2019-08-24T14:15:22Z" } ], "journals": [ { "id": 0, "user": { "id": 0, "name": "string" }, "notes": "string", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "updated_by": { "id": 0, "name": "string" }, "private_notes": true, "details": [ { "property": "attr", "name": "string", "old_value": "string", "new_value": "string" } ] } ], "watchers": [ { "id": 0, "name": "string" } ], "allowed_statuses": [ { "id": 0, "name": "string", "is_closed": true, "description": "string" } ] } ], "total_count": 0, "offset": 0, "limit": 0}